#
# spec file for package kpvm (Version 0.13)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake gettext gpp klibs ksupp libgpp libjpeg libpng libtiff libungif libz pvm qtdevel qtext qtlib xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd klibs ksupp less libgpp libjpeg libpng libtiff libtool libungif libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps pvm qtcompat qtdevel qtext qtlib rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         kpvm
Copyright:    GPL
Group:        X11/KDE/Applications
Autoreqprov: on
Summary:      Object-oriented wrapper for the pvm3
Version:      0.13
Release:      406
Source0:      kpvm-0.13.tar.bz2
Patch0: kpvm-0.13.dif

%description
This is a small library for making programming the Parallel Virtual Machine PVM3
easier. It uses the Qt signal/slot mechanism. For programming examples please
install the source code package of kpvm.

Authors:
--------
    Michael Kropfberger <michael.kropfberger@gmx.net>

SuSE series: kde

%prep
%setup -n kpvm-0.13
%patch -p 0 -E

%build
TEST=`grep ^VERSION /etc/SuSE-release | cut "-d " -f 3`
MAJOR=`echo $TEST | cut -d. -f 1`
MINOR=`echo $TEST | cut -d. -f 2 | sed -e "s@[^0-9]@@g"`
VERSION=$(( ${MAJOR}*100 + ${MINOR} ))
if [ "$VERSION" -gt 702 ]; then
 export QTDIR=/usr/lib/qt
 export KDEDIR=/opt/kde
fi
%{?suse_update_config:%{suse_update_config -f . }}
PVM_ROOT=/usr/share/pvm3 CXXFLAGS="$CXXFLAGS -DNDEBUG -O2 -I/usr/share/pvm3/include" ./configure \
  --prefix=/opt/kde \
  --with-qt-dir=$QTDIR \
  --with-qt-includes=$QTDIR/include \
  --with-qt-libraries=$QTDIR/lib
touch ./kpvm/demos/suJOIN/Makefile.in --reference=./aclocal.m4
touch ./kpvm/demos/simple/Makefile.in --reference=./aclocal.m4
touch ./kpvm/Makefile.in --reference=./aclocal.m4
touch ./Makefile.in --reference=./aclocal.m4
echo timestamp > ./stamp-h.in
make

%install
make install

%files
%doc COPYING AUTHORS CHANGES INSTALL TODO README README.template 
%docdir /opt/kde/share/doc
/opt/kde/include/kpvm_entity.h
/opt/kde/include/kpvm.h
/opt/kde/include/serialize.h
/opt/kde/include/vartuple.h
/opt/kde/lib/libkpvm.la
/opt/kde/lib/libkpvm.so
/opt/kde/lib/libkpvm.so.0
/opt/kde/lib/libkpvm.so.0.0.12

%changelog -n kpvm
* Fri Aug 24 2001 - ro@suse.de
- added old KDEDIR and QTDIR to build with 7.3 environment
* Tue Aug 14 2001 - ro@suse.de
- bzip2 source
- no reconf to build
* Wed Nov 08 2000 - ro@suse.de
- fixed to compile with new pvm package
* Tue Jun 06 2000 - adrian@suse.de
- Added group tag, suse_update_config and new file list
* Thu Mar 30 2000 - adrian@suse.de
- delete the kbase from neededforbuild
* Sun Nov 07 1999 - kukuk@suse.de
- Fix last patch for use of libungif
* Fri Nov 05 1999 - ro@suse.de
- use libungif for configure
* Thu Nov 04 1999 - bs@suse.de
- removed libgif from neededforbuild
* Fri Sep 17 1999 - kettner@suse.de
- Reinserted old # Commandline: line.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon May 10 1999 - kettner@suse.de
- Spec file created from kpvm-0.13.tgz by autospec
